Bug 1150246 - Galera+puppet stability improvements
Summary: Galera+puppet stability improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Crag Wolfe
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 18:54 UTC by Crag Wolfe
Modified: 2014-11-10 18:30 UTC (History)
8 users (show)

Fixed In Version: openstack-foreman-installer-2.0.29-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, extra restarts were added after setting MySQL root password during setup phase, OpenStack database users were added on nodes where they already existed and cluster status check occurred right before adding Galera to non-bootstrap nodes and success was declared prematurely. As a result, Galera failures occurred on some or all nodes. With this update, no extra restart is added after setting the root MySQL password. OpenStack database users are created only on the bootstrap node (Galera replicates them to other nodes). This update also ensures that pacemaker has been added before the final 'clustercheck' on each node to confirm the node is a good start. As a result, pacemaker installation is reliable and stable.
Clone Of:
Environment:
Last Closed: 2014-11-04 17:03:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
messages and mariadb.log from all controllers in the affected setup (bare metal) (299.39 KB, application/x-gzip)
2014-10-07 21:30 UTC, Alexander Chuzhoy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Crag Wolfe 2014-10-07 18:54:13 UTC
Description of problem:

Occasionally, the phase during an HA puppet run where galera is installed, a node will to bring up galera, causing errors for the rest of the puppet run for that node and causing a staypuft deployment to fail.

Comment 3 Alexander Chuzhoy 2014-10-07 21:30:32 UTC
Created attachment 944768 [details]
messages and mariadb.log from all controllers in the affected setup (bare metal)

Comment 6 Crag Wolfe 2014-10-15 03:05:56 UTC
Patch: https://github.com/redhat-openstack/astapor/pull/384

Comment 11 errata-xmlrpc 2014-11-04 17:03:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.